nginx-passenger depends on a PPA w/o PPC packages

Bug #1387694 reported by Adam Israel
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nginx-passenger (Juju Charms Collection)
Medium
Unassigned

Bug Description

While testing for the Power arch, it was discovered that nginx-passenger relies on a PPA that doesn't build for PPC.

Revision history for this message
Johnny Shieh (jshieh) wrote :

Can someone comment if they're planning on making this Trusty/ppc64el workable?

Revision history for this message
Antonio Rosales (arosales) wrote :

Collaborating with IBM this is a workload that would be ideal for Trusty on Power8.

Work to be done for ppc64el enablment:
- confirm nginx-passenger works on ppc64el
- port charm to trusty
- propose charm for Trusty (include writing tests and responding to reviews).

IBM will add a comment to this bug stating if nginx-passenger does indeed function properly on Power8le when this comes up in their queue.

-thanks,
Antonio

Changed in nginx-passenger (Juju Charms Collection):
importance: Undecided → Medium
Revision history for this message
Bala Inamadugu (inamad) wrote :

Hi, This is Bala from IBM. I am working on porting this charm to Power8 LE trusy version.

I could get the install hook working after compiling the passenger following instructions on https://github.com/phusion/passenger.
 I have attached the hook file with this comment.

I am trying to test the charm by following the instruction in README.md, i.e. "juju deploy rack --config myapp.yml".

But I am not able to get "rack" charm.

Can you please help me with this.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments